document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Parallax effect for hero section
  window.addEventListener('scroll', () => {
    const hero = document.getElementById('hero');
    const scrolled = window.pageYOffset;
    hero.style.transform = `translateY(${scrolled * 0.5}px)`;
  });

  // Interactive heart animation
  const heart = document.getElementById('heart');
  heart.addEventListener('click', () => {
    heart.style.animation = 'none';
    heart.offsetHeight; // Trigger reflow
    heart.style.animation = 'pulse 1.5s ease infinite';
  });

  // Add falling hearts animation randomly
  setInterval(() => {
    if (Math.random() > 0.7) {
      createFallingHeart();
    }
  }, 2000);
});

function createFallingHeart() {
  const heart = document.createElement('div');
  heart.innerHTML = '❤️';
  heart.style.position = 'fixed';
  heart.style.top = '-20px';
  heart.style.left = Math.random() * window.innerWidth + 'px';
  heart.style.fontSize = '20px';
  heart.style.zIndex = '1000';
  heart.style.animation = 'fall 3s linear forwards';
  document.body.appendChild(heart);

  setTimeout(() => {
    document.body.removeChild(heart);
  }, 3000);
}
